1 Reply Latest reply on Dec 28, 2018 1:27 PM by patrick.byrne.0

    Tableau to Mongo ODBC connection

    Roshan Bisnath

      Tableau 2018.1

       

      Hi Team,

       

      when I am trying to connect tableau to Mongo, I am getting

       

       

      I installed mysql-odbc-connector on linux and mysql

       

      From C Authentication Plugin — MongoDB Connector for BI 2.8

       

      How do I know the <mysql-home>/lib/plugin/

       

      Also, I installed mysql 5.1. Will it be fine since 5.7 is giving errors using yum.

       

      [mongod@RHIS-BITEST-01 ~]$ mongosqld --schema /home/mongod/dbtest.drdl --auth -u "dbtest" -p "dbtest" --addr 10.210.28.85:27029 --mongo-uri mongodb://10.210.28.85:27020

      2018-11-21T17:32:08.887+0400 I CONTROL    [initandlisten] mongosqld starting: version=v2.7.0 pid=8483 host=RHIS-BITEST-01

      2018-11-21T17:32:08.887+0400 I CONTROL    [initandlisten] git version: 01260b507ecc9a1147eccb13975a20cc97b68d1e

      2018-11-21T17:32:08.887+0400 I CONTROL    [initandlisten] OpenSSL version OpenSSL 1.0.1e-fips 11 Feb 2013 (built with OpenSSL 1.0.1e 11 Feb 2013)

      2018-11-21T17:32:08.887+0400 I CONTROL    [initandlisten] options: {schema: {path: "/home/mongod/dbtest.drdl"}, net: {bindIp: [10.210.28.85], port: 27029}, security: {enabled: true}, mongodb: {net: {uri: "mongodb://10.210.28.85:27020", auth: {username: "dbtest", password: "<protected>"}}}}

      2018-11-21T17:32:08.888+0400 I NETWORK    [initandlisten] waiting for connections at 10.210.28.85:27029

      2018-11-21T17:32:08.888+0400 I NETWORK    [initandlisten] waiting for connections at /tmp/mysql.sock

       

      Thanks,

       

      Roshan

       

        • 1. Re: Tableau to Mongo ODBC connection
          patrick.byrne.0

          Hello Roshan,

           

          What flavor of Linux is being leveraged? I would make sure it is one of the supported flavors of Tableau Server on Linux. Also what version of Mongo is being used. As we want to try and match driver versions to MySQL versions. i.e. 5.x with 5.x etc..

           

          Also from the MySQL site:

           

          MySQL Connector/ODBC 8.0 is recommended for use with MySQL Server 8.0, 5.7, 5.6, and 5.5. Please upgrade to MySQL Connector/ODBC 8.0.

           

          Hope this helps!

           

          Cheers,

          Byrne, Patrick

          Community Manager

          Tableau Software